subroutine sub_kendogenousnewton(kend,Yend,z,kguess)
		
	use mod_types
	use mod_common_var

	implicit none

	real(dp), intent(in) :: Yend,z,kguess
	real(dp), intent(out) :: kend

	integer :: go_on

	real(dp) :: f_k, f_kp, kp

	kend=kguess
	
	go_on = 1
	do while (go_on == 1)
	
		f_k  = Yend-exp(z)*kend**alpha-(1-delta)*kend
		f_kp = -alpha*exp(z)*kend**(alpha-1)-(1-delta)
		kp = kend-(f_k/f_kp)

		if (abs(kp-kend)<0.0000001) go_on = 0
		kend = kp
	enddo 

end subroutine sub_kendogenousnewton