subroutine sub_newton(kp,k,z,l)
		
	use mod_types
	use mod_common_var

	implicit none

	real(dp), intent(in) :: kp, k, z
	real(dp), intent(out) :: l

	integer :: go_on

	real(dp) :: f_l, f_lp, lp

	l = 0.3d0
	go_on = 1
	
	do while (go_on == 1)
	
		f_l  = kp-exp(z)*(k**alpha)*(l**(1-alpha))-(1-delta)*k+(theta/(1-theta))*(1-alpha)*exp(z)*(k**alpha)*(l**(-alpha))*(1-l)
		f_lp = -(1-alpha)*exp(z)*(k**alpha)*(l**(-alpha))+(-alpha)*(theta/(1-theta))*(1-alpha)*exp(z)*(k**alpha)&
						&*(l**(-1-alpha))*(1-l)-(theta/(1-theta))*(1-alpha)*exp(z)*(k**alpha)*(l**(-alpha))
		lp = l-(f_l/f_lp)

		if (abs(lp-l)<0.0000001 .or. lp>0.95 .or. lp<0.01) go_on = 0
		l = lp

	enddo 

	l = min(0.95,l)
	l = max(0.01,l)

end subroutine sub_newton