subroutine sub_myinterp(x,f_x,xp,length_x,interp_value)
					 
	use mod_types

	implicit none

	integer, intent(in) :: length_x

	real(dp), dimension(length_x), intent(in) :: x, f_x
	real(dp), intent(in) :: xp
	real(dp), intent(out) :: interp_value
	
	integer, dimension(1) :: x_min
	integer :: x_index

	real (dp) :: t
	
	x_min   = minloc(abs(x-xp))
	x_index = x_min(1)
	if (xp<x(x_index)) x_index = x_index-1
	x_index = max(x_index,1)
	x_index = min(x_index,length_x-1)
	 
	t = (f_x(x_index+1)-f_x(x_index))/(x(x_index+1)-x(x_index))
  
  interp_value = t*(xp-x(x_index))+f_x(x_index)

end subroutine sub_myinterp

